Bug 998583 (F20WebAssets)

Summary: Web Assets
Product: [Fedora] Fedora Reporter: Jaroslav Reznik <jreznik>
Component: Changes TrackingAssignee: Jaroslav Reznik <jreznik>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: unspecified Docs Contact: Pete Travis <me>
Priority: unspecified    
Version: rawhideCC: me, tchollingsworth
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ChangeAcceptedF20 ChangeAcceptedF21 SystemWideChange
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1001371 1001374 (view as bug list) Environment:
Last Closed: 2014-10-20 22:29:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 997678    
Bug Blocks: 997676, 1001371, 1001374    

Description Jaroslav Reznik 2013-08-19 10:28:03 EDT
This is a tracking bug for Change: Web Assets
For more details, see: http://fedoraproject.org//wiki/Changes/Web_Assets

Traditionally, Fedora has been pushing bits from its various servers to people's browsers in an ad-hoc fashion, and issues surrounding JavaScript have been swept under the rug.  This change proposal provides a simple framework for shipping static web content and a way forward to treat JavaScript more closely to other code in the distribution.
Comment 1 T.C. Hollingsworth 2013-08-26 23:35:49 EDT
*** Bug 997677 has been marked as a duplicate of this bug. ***
Comment 2 Jaroslav Reznik 2013-08-27 11:22:39 EDT
Current state at https://fedorahosted.org/fesco/ticket/1147#comment:10
Comment 3 Jaroslav Reznik 2013-10-11 04:45:05 EDT
This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule
Comment 4 Jaroslav Reznik 2013-10-23 08:26:09 EDT
Moving to F21 as communicated with the Owner.
Comment 5 Pete Travis 2014-09-24 01:28:50 EDT
I've added the copy from the Change page release notes section to https://fedoraproject.org/wiki/Documentation_Web_Servers_Beat#Web_Assets . Some further examples will probably follow.
Comment 6 Jaroslav Reznik 2014-10-13 07:10:46 EDT
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Any updates on this change?
Comment 7 T.C. Hollingsworth 2014-10-20 22:29:17 EDT
Infrastructure for Web Assets is now available for all current Fedora and EPEL releases, though access to shared assets at http://localhost/_sysassets/ is only enabled by default in Fedora 21 and later.

For more information on packaging Web Assets and JavaScript libraries, see:
https://fedoraproject.org/wiki/Packaging:Web_Assets

Since when properly done unbundling JavaScript libraries is completely transparent to end users, unbundling may occur in a stable update so long as such updates otherwise comply with the Updates Policy.

No further concerted effort is planned for the Fedora 21 release, so this change is complete as far as Fedora 21 is concerned.